> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xpaycheckout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Method Token

> Get details of a payment method token

This API allows you to retrieve the details of a payment method token, including its status and associated information.

<Note> To get a list of payment method tokens for a customer, use the [/customers/payment-method-token](/developer-resources/endpoints/customer/get-pm-tokens-for-customer) endpoint. </Note>

## Status Values

The payment method token can have one of the following statuses:

* `LIVE`: The payment method token is active and can be used for transactions
* `DELETED`: The payment method token has been deleted and cannot be used for transactions


## OpenAPI

````yaml GET /payment-method-token/{paymentMethodTokenId}
openapi: 3.0.1
info:
  title: xPay API Store
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.xpaycheckout.com
security:
  - basicAuth: []
paths:
  /payment-method-token/{paymentMethodTokenId}:
    get:
      description: Get details of a payment method token
      parameters:
        - name: paymentMethodTokenId
          in: path
          required: true
          schema:
            type: string
          description: Unique identifier of the payment method token
      responses:
        '200':
          description: Payment method token details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get-payment-method-token-response'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    get-payment-method-token-response:
      type: object
      properties:
        paymentMethodId:
          type: string
          description: Unique identifier of the payment method
          example: pmt_ftoeKIYGC3f43frT
        paymentMethod:
          type: string
          description: Type of payment method
          example: CARD
        customerId:
          type: string
          description: >-
            The unique identifier for the customer, generated via the
            [create-customer API](/api-reference/customers/create-customer)
          example: cus_Tfd3Jq1tZxPjYVhRQW2r3
        status:
          type: string
          description: >-
            Status of the payment method token. Please refer to payment method
            token
            [status](/products/setup-method/overview#payment-method-token-lifecycle)
            for more details.
          enum:
            - LIVE
            - DELETED
          example: LIVE
        createdAt:
          $ref: '#/components/schemas/PaymentMethodTokenCreatedAt'
      required:
        - paymentMethodId
        - paymentMethod
        - customerId
        - status
        - createdAt
    Error:
      required:
        - errorCode
        - errorDescription
      type: object
      properties:
        errorCode:
          type: string
          example: bad_request
        errorDescription:
          type: string
          example: Failed to read request
    PaymentMethodTokenCreatedAt:
      type: integer
      description: >-
        Epoch timestamp in milliseconds of when the payment method token was
        created
      example: 1727340330123
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````